#
# spec file for package seahorse
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           seahorse
Version:        3.12.2
Release:        0
Summary:        GNOME interface for gnupg
License:        GPL-2.0+
Group:          Productivity/Security
Url:            http://projects.gnome.org/seahorse/
Source:         http://download.gnome.org/sources/seahorse/3.12/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  gpg2
BuildRequires:  gpgme-devel
BuildRequires:  intltool
BuildRequires:  openldap2-devel
BuildRequires:  openssh
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.18.0
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-glib)
BuildRequires:  pkgconfig(gck-1) >= 3.11.91
BuildRequires:  pkgconfig(gcr-3) >= 3.11.91
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsecret-unstable) >= 0.16
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.33.92
Recommends:     %{name}-lang
Obsoletes:      %{name}-devel < %{version}
# We dropped seahorse-plugins in 12.1
Obsoletes:      seahorse-plugins <= 2.30.1.git.20110502
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Seahorse is a GNOME interface for gnupg. It uses gpgme as the backend.

%package -n gnome-shell-search-provider-seahorse
Summary:        GNOME interface for gnupg -- Search Provider for GNOME Shell
Group:          Productivity/Security
Supplements:    packageand(gnome-shell:%{name})

%description -n gnome-shell-search-provider-seahorse
Seahorse is a GNOME interface for gnupg. It uses gpgme as the backend.

This package contains a search provider to enable GNOME Shell to get
search results from seahorse.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
        --disable-scrollkeeper
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name '*.la' -delete -print
%suse_update_desktop_file %{name}
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog ChangeLog.pre-auto NEWS README
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/seahorse
%{_libdir}/seahorse/
%dir %{_datadir}/appdata
%{_datadir}/appdata/seahorse.appdata.xml
%{_datadir}/applications/seahorse.desktop
%{_datadir}/GConf/gsettings/org.gnome.seahorse.convert
%{_datadir}/GConf/gsettings/org.gnome.seahorse.manager.convert
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.manager.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.window.gschema.xml
%{_datadir}/icons/hicolor/*/*/seahorse.png
%{_datadir}/icons/hicolor/*/*/seahorse-preferences.png
%{_datadir}/seahorse/
%{_mandir}/man1/seahorse.1%{?ext_man}

%files -n gnome-shell-search-provider-seahorse
%defattr(-,root,root)
%{_datadir}/dbus-1/services/org.gnome.seahorse.Application.service
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/seahorse-search-provider.ini

%files lang -f %{name}.lang

%changelog
